Summary:	Next Generation IRC Daemon
Name:		ngircd
Version:	20.3
Release:	%mkrel 1
Group:		System/Servers
License:	GPLv2+
URL:		http://ngircd.barton.de/
Source0:	ftp://ftp.berlios.de/pub/ngircd/ngircd-%{version}.tar.gz
Source1:	ftp://ftp.berlios.de/pub/ngircd/ngircd-%{version}.tar.gz.sig
Source2:	ngircd.service
Source3:	ngircd.pam
Patch0:		ngircd-19.2-default_config.diff
BuildRequires:	openssl-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	zlib-devel
BuildRequires:	pam-devel
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
ngIRCd is a free open source daemon for Internet Relay Chat (IRC), developed
under the GNU General Public License (GPL). It's written from scratch and is
not based upon the original IRCd like many others.

%prep

%setup -q
%patch0 -p0

cp %{SOURCE2} ngircd.service
cp %{SOURCE3} ngircd.pam

%build
%serverbuild

# to prevent nasty ipv6 surprises
export CFLAGS="$CFLAGS -D_GNU_SOURCE"

%configure2_5x \
    --enable-ipv6 \
    --with-syslog \
    --with-zlib \
    --with-epoll \
    --with-openssl \
    --with-tcp-wrappers \
    --with-pam

%make

%install

install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sysconfdir}/pam.d

%makeinstall_std

install -m0755 ngircd.service %{buildroot}%{_unitdir}/
install -m0660 doc/sample-ngircd.conf %{buildroot}%{_sysconfdir}/ngircd.conf
install -m644 ngircd.pam %{buildroot}%{_sysconfdir}/pam.d/ngircd

echo "%{name}-%{version}-%{release}"  %{buildroot}%{_sysconfdir}/ngircd.motd
rm -rf %{buildroot}%{_docdir}/ngircd

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/ngircd 0775 root ngircd
EOF

%pre
%_pre_useradd ngircd /tmp /sbin/nologin

%post
%_tmpfilescreate %{name}
%_post_service ngircd

%preun
%_preun_service ngircd

%postun
%_postun_userdel ngircd

%files
%doc AUTHORS COPYING ChangeLog NEWS README doc/*
%attr(0660,root,ngircd) %config(noreplace) %{_sysconfdir}/ngircd.conf
%attr(0660,root,ngircd) %ghost %config(noreplace) %{_sysconfdir}/ngircd.motd
%config(noreplace) %{_sysconfdir}/pam.d/ngircd
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/ngircd.service
%{_sbindir}/ngircd
%{_mandir}/man5/ngircd.conf*
%{_mandir}/man8/ngircd.8*


%changelog
* Mon Aug 26 2013 oden <oden> 20.3-1.mga3
+ Revision: 471847
- 20.3

* Sat Apr 13 2013 oden <oden> 20.2-1.mga3
+ Revision: 409956
- 20.2 (fixes CVE-2013-1747, mgabz#9672)

* Sun Mar 24 2013 colin <colin> 20-4.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Jan 13 2013 luigiwalser <luigiwalser> 20-3.mga3
+ Revision: 364039
- add tmpfiles config for /run/ngircd

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 oden <oden> 20-1.mga3
+ Revision: 333354
- 20

* Tue Dec 04 2012 oden <oden> 19.2-1.mga3
+ Revision: 326382
- imported package ngircd

